org.apache.torque.templates.transformer.om

## Enum ForeignKeyChildElementName

- java.lang.Object
- - java.lang.Enum<ForeignKeyChildElementName>
  - - org.apache.torque.templates.transformer.om.ForeignKeyChildElementName

- All Implemented Interfaces:
    Serializable, Comparable<ForeignKeyChildElementName>, SourceElementName

      public enum ForeignKeyChildElementName
      extends Enum<ForeignKeyChildElementName>
      implements SourceElementName

  Contains the child elements for a foreign-key source element which are not defined in the Torque schema. These elements might be created in the transformation.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FOREIGN_FIELD` The child element containing information about the field in the foreign database object containing the referenced local database object.
    `FOREIGN_FIELD_IN_BEAN` The child element containing information about the field in the foreign bean containing the referenced local beans.
    `LOCAL_FIELD` The child element containing information about the field in the local database object containing the referenced foreign database object.
    `LOCAL_FIELD_IN_BEAN` The child element containing information about the field in the local bean containing the referenced foreign bean.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Returns the name of the referenced source element.
    `String` | `toString()`
    `static ForeignKeyChildElementName` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ForeignKeyChildElementName[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOCAL_FIELD

          public static final ForeignKeyChildElementName LOCAL_FIELD

      The child element containing information about the field in the local database object containing the referenced foreign database object.

    - #### FOREIGN_FIELD

          public static final ForeignKeyChildElementName FOREIGN_FIELD

      The child element containing information about the field in the foreign database object containing the referenced local database object.

    - #### LOCAL_FIELD_IN_BEAN

          public static final ForeignKeyChildElementName LOCAL_FIELD_IN_BEAN

      The child element containing information about the field in the local bean containing the referenced foreign bean.

    - #### FOREIGN_FIELD_IN_BEAN

          public static final ForeignKeyChildElementName FOREIGN_FIELD_IN_BEAN

      The child element containing information about the field in the foreign bean containing the referenced local beans.

  - ### Method Detail

    - #### values

          public static ForeignKeyChildElementName[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ForeignKeyChildElementName c : ForeignKeyChildElementName.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ForeignKeyChildElementName valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

      Returns the name of the referenced source element.
      Specified by:
        `getName` in interface `SourceElementName`
      Returns:
        the name of the referenced source element.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ForeignKeyChildElementName>`

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.